#language: ru

@demo_base_milk
@financial_results

Функционал: 001. financial_results. Создание общей НСИ

Сценарий: 001.1. financial_results. Создание товарной категории Услуги
	
	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "02.fill_financial_results"
	И Я создаю товарную категорию "Услуги"

Сценарий: 001.2. financial_results. Создание организации ТД Молочный мир

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Организации'
	Тогда я жду открытия окна 'Организации' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Организация (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'ТД_Молочный мир'
	И я разворачиваю группу с именем "ЮридическиеДанные"
	И в поле 'Наименование (сокращенное)' я ввожу текст 'ООО \"ТД_Молочный мир\"'
	И в поле 'Наименование (международное)' я ввожу текст 'Dairy World Trading House'
	И в поле 'Наименование (полное)' я ввожу текст 'Общество с ограниченной ответственностью \"ТД_Молочный мир\"'
	И в поле 'ИНН' я ввожу текст '9999225337'
	И в поле 'КПП' я ввожу текст '999922533'
	И в поле 'ОГРН' я ввожу текст '1437567890456'
	И в поле 'Префикс GS1' я ввожу текст '987'
	И в поле 'ОКПО' я ввожу текст '12387678'
	И в поле 'Код ОКВЭД' я ввожу текст '456'
	И я разворачиваю группу с именем "ГруппаКонтактнаяИнформация"
	И в поле 'Адрес' я ввожу текст '609842, Нижний Новгород г, пр-кт Ленина, дом № 56'
	И в поле 'Телефон' я ввожу текст '+79171834867'
	И я нажимаю на кнопку '+телефон, адрес'
	И в меню формы я выбираю 'Электронная почта'
	И в поле 'Электронная почта' я ввожу текст 'td.dairyworld@mail.ru'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Организация (Организация) *' в течение 20 секунд
	Тогда я жду открытия окна 'Организации' в течение 20 секунд
	И Я закрываю окно 'Организации'

Сценарий: 001.3. financial_results. Создание видов номенклатуры

	* Вид номенклатуры Услуги
		И Я начинаю создавать Вид Номенклатуры "Услуги"
		И я нажимаю кнопку выбора у поля с именем "ЕдиницаИзмерения"
		Тогда открылось окно 'Выберите единицу измерения'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'шт'           |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Вид номенклатуры (создание) *'
		И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 001.4. financial_results. Создание групп номенклатуры

	И Я создаю группу номенклатуры "Услуги"

Сценарий: 001.5. financial_results. Создание номенклатуры

	* Номенклатура Доставка поставщика
		И Я начинаю создавать Номенклатуру "Доставка поставщика" с видом "Услуги" и типом "Услуга"
		И в поле 'Артикул' я ввожу текст '999-0798'
		И из выпадающего списка "Папка номенклатуры" я выбираю по строке 'Услуги'
		И в поле 'Описание' я ввожу текст 'Доставка поставщика'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Товарная категория" я выбираю по строке 'Услуги'
		И я перехожу к закладке "Продажи"
		И из выпадающего списка 'Ставка НДС' я выбираю точное значение '20%'
		И Я заканчиваю создавать Номенклатуру
	* Номенклатура Аренда
		И Я начинаю создавать Номенклатуру "Аренда" с видом "Услуги" и типом "Услуга"
		И в поле 'Артикул' я ввожу текст '999-0768'
		И из выпадающего списка "Папка номенклатуры" я выбираю по строке 'Услуги'
		И в поле 'Описание' я ввожу текст 'Аренда'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Товарная категория" я выбираю по строке 'Услуги'
		И я перехожу к закладке "Продажи"
		И из выпадающего списка 'Ставка НДС' я выбираю точное значение '20%'
		И Я заканчиваю создавать Номенклатуру

Сценарий: 001.6. init. Создание графиков оплат

	И Я начинаю создавать график оплаты "Простой график оплаты" с формой оплаты "Любая"
	И я заканчиваю создавать график оплаты

Сценарий: 001.7. init. Создание соглашений

	И Я создаю соглашение "Соглашение с Нижегородским молоком с 01.01.2021" с поставщиком "Нижегородское молоко" и видом цены "Цены: Нижегородское молоко" для организации "ТД_Молочный мир" с графиком оплаты "Простой график оплаты"
	И Я создаю соглашение "Соглашение с Арендодателем с 01.01.2021" с поставщиком "Арендодатель" и видом цены "Цена поставщика Арендодатель" для организации "ТД_Молочный мир" с графиком оплаты "Простой график оплаты" 
	И Я создаю соглашение "Соглашение с Х5 с 01.01.2021" с покупателем "Х5" и видом цены "Цена отгрузки для Х5" для организации "ТД_Молочный мир" с графиком оплаты "Простой график оплаты" и порядком расчетов "По соглашениям"
	И Я создаю соглашение "Соглашение с Магнитом с 01.01.2021" с покупателем "Магнит" и видом цены "Цена отгрузки для Магнита" для организации "ТД_Молочный мир" с графиком оплаты "Простой график оплаты" и порядком расчетов "По соглашениям"
	И Я создаю соглашение "Соглашение с ИП Смирнов с 01.01.2021" с покупателем "ИП Смирнов" и видом цены "Цена отгрузки для ИП Смирнов" для организации "ТД_Молочный мир" с графиком оплаты "Простой график оплаты" и порядком расчетов "По соглашениям"